Passer au contenu principal
POST
/
v1
/
wallets
/
{id}
/
transactions
/
{transactionId}
/
revert
Revert wallet load
curl --request POST \
  --url https://api.hyperline.co/v1/wallets/{id}/transactions/{transactionId}/revert \
  --header 'Authorization: Bearer <token>'
{
  "id": "walt_FCihRDLYhKpSpL",
  "type": "credit_paid",
  "amount": 12000,
  "comment": "Offline payment received",
  "invoice_id": null,
  "original_transaction_id": null,
  "reverted_by": null,
  "created_at": "2024-12-20T16:04:11Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis
transactionId
string
requis

Réponse

The debit transaction created by the revert

id
string
requis

Wallet transaction ID.

Exemple:

"walt_FCihRDLYhKpSpL"

type
enum<string>
requis

Wallet transaction type.

Options disponibles:
credit_free,
credit_paid,
debit
Exemple:

"credit_paid"

amount
number
requis

Amount of the wallet transaction.

Exemple:

12000

comment
string | null
requis

Internal comment stored on the wallet transaction.

Exemple:

"Offline payment received"

invoice_id
string | null
requis

Generated invoice ID for the transaction. Only applies for credit_paid and debit.

Exemple:

null

original_transaction_id
string | null
requis

The ID of the original wallet transaction that was reverted by this transaction.

Exemple:

null

reverted_by
string | null
requis

The ID of the wallet transaction that reverted this transaction.

Exemple:

null

created_at
string<date-time>
requis

UTC date time string in the ISO 8601 format.

Exemple:

"2024-12-20T16:04:11Z"